Note

Access to this page requires authorization. You can try signing in or .

Access to this page requires authorization. You can try .

Metric Definitions - List

Service:
Monitor
API Version:
2023-10-01

Lists the metric definitions for the resource.

GET https://management.azure.com/{resourceUri}/providers/Microsoft.Insights/metricDefinitions?api-version=2023-10-01
With optional parameters:
GET https://management.azure.com/{resourceUri}/providers/Microsoft.Insights/metricDefinitions?api-version=2023-10-01&metricnamespace={metricnamespace}

URI Parameters

Name In Required Type Description
resourceUri
path True

string

The identifier of the resource.

api-version
query True

string

minLength: 1

The API version to use for this operation.

metricnamespace
query

string

Metric namespace where the metrics you want reside.

Responses

Name Type Description
200 OK

MetricDefinitionCollection

Successful request to get the list of metric definitions

Other Status Codes

ErrorResponse

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get Application Insights Metric Definitions without filter
Get Metric Definitions without filter
Get StorageCache Metric Definitions with metric class

Get Application Insights Metric Definitions without filter

Sample request

GET https://management.azure.com/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/providers/Microsoft.Insights/metricDefinitions?api-version=2023-10-01&metricnamespace=microsoft.insights/components

Sample response

Status code:
200
{
 "value": [
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/availabilityResults/availabilityPercentage",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Availability",
 "name": {
 "value": "availabilityResults/availabilityPercentage",
 "localizedValue": "Availability"
 },
 "displayDescription": "Percentage of successfully completed availability tests",
 "isDimensionRequired": false,
 "unit": "Percent",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "availabilityResult/name",
 "localizedValue": "Test name"
 },
 {
 "value": "availabilityResult/location",
 "localizedValue": "Run location"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/availabilityResults/count",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Availability",
 "name": {
 "value": "availabilityResults/count",
 "localizedValue": "Availability tests"
 },
 "displayDescription": "Count of availability tests",
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Count",
 "supportedAggregationTypes": [
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "availabilityResult/name",
 "localizedValue": "Test name"
 },
 {
 "value": "availabilityResult/location",
 "localizedValue": "Run location"
 },
 {
 "value": "availabilityResult/success",
 "localizedValue": "Test result"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/availabilityResults/duration",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Availability",
 "name": {
 "value": "availabilityResults/duration",
 "localizedValue": "Availability test duration"
 },
 "displayDescription": "Availability test duration",
 "isDimensionRequired": false,
 "unit": "MilliSeconds",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Average",
 "Maximum",
 "Minimum"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "availabilityResult/name",
 "localizedValue": "Test name"
 },
 {
 "value": "availabilityResult/location",
 "localizedValue": "Run location"
 },
 {
 "value": "availabilityResult/success",
 "localizedValue": "Test result"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/browserTimings/networkDuration",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Browser",
 "name": {
 "value": "browserTimings/networkDuration",
 "localizedValue": "Page load network connect time"
 },
 "displayDescription": "Time between user request and network connection. Includes DNS lookup and transport connection.",
 "isDimensionRequired": false,
 "unit": "MilliSeconds",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Average",
 "Maximum",
 "Minimum"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/browserTimings/processingDuration",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Browser",
 "name": {
 "value": "browserTimings/processingDuration",
 "localizedValue": "Client processing time"
 },
 "displayDescription": "Time between receiving the last byte of a document until the DOM is loaded. Async requests may still be processing.",
 "isDimensionRequired": false,
 "unit": "MilliSeconds",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Average",
 "Maximum",
 "Minimum"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/browserTimings/receiveDuration",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Browser",
 "name": {
 "value": "browserTimings/receiveDuration",
 "localizedValue": "Receiving response time"
 },
 "displayDescription": "Time between the first and last bytes, or until disconnection.",
 "isDimensionRequired": false,
 "unit": "MilliSeconds",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Average",
 "Maximum",
 "Minimum"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/browserTimings/sendDuration",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Browser",
 "name": {
 "value": "browserTimings/sendDuration",
 "localizedValue": "Send request time"
 },
 "displayDescription": "Time between network connection and receiving the first byte.",
 "isDimensionRequired": false,
 "unit": "MilliSeconds",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Average",
 "Maximum",
 "Minimum"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/browserTimings/totalDuration",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Browser",
 "name": {
 "value": "browserTimings/totalDuration",
 "localizedValue": "Browser page load time"
 },
 "displayDescription": "Time from user request until DOM, stylesheets, scripts and images are loaded.",
 "isDimensionRequired": false,
 "unit": "MilliSeconds",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Average",
 "Maximum",
 "Minimum"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/dependencies/count",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Server",
 "name": {
 "value": "dependencies/count",
 "localizedValue": "Dependency calls"
 },
 "displayDescription": "Count of calls made by the application to external resources.",
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Count",
 "supportedAggregationTypes": [
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "dependency/type",
 "localizedValue": "Dependency type"
 },
 {
 "value": "dependency/performanceBucket",
 "localizedValue": "Dependency performance"
 },
 {
 "value": "dependency/success",
 "localizedValue": "Successful call"
 },
 {
 "value": "dependency/target",
 "localizedValue": "Target of a dependency call"
 },
 {
 "value": "dependency/resultCode",
 "localizedValue": "Result code"
 },
 {
 "value": "operation/synthetic",
 "localizedValue": "Is traffic synthetic"
 },
 {
 "value": "cloud/roleInstance",
 "localizedValue": "Cloud role instance"
 },
 {
 "value": "cloud/roleName",
 "localizedValue": "Cloud role name"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/dependencies/duration",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Server",
 "name": {
 "value": "dependencies/duration",
 "localizedValue": "Dependency duration"
 },
 "displayDescription": "Duration of calls made by the application to external resources.",
 "isDimensionRequired": false,
 "unit": "MilliSeconds",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Average",
 "Maximum",
 "Minimum"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "dependency/type",
 "localizedValue": "Dependency type"
 },
 {
 "value": "dependency/performanceBucket",
 "localizedValue": "Dependency performance"
 },
 {
 "value": "dependency/success",
 "localizedValue": "Successful call"
 },
 {
 "value": "dependency/target",
 "localizedValue": "Target of a dependency call"
 },
 {
 "value": "dependency/resultCode",
 "localizedValue": "Result code"
 },
 {
 "value": "operation/synthetic",
 "localizedValue": "Is traffic synthetic"
 },
 {
 "value": "cloud/roleInstance",
 "localizedValue": "Cloud role instance"
 },
 {
 "value": "cloud/roleName",
 "localizedValue": "Cloud role name"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/dependencies/failed",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Failures",
 "name": {
 "value": "dependencies/failed",
 "localizedValue": "Dependency call failures"
 },
 "displayDescription": "Count of failed dependency calls made by the application to external resources.",
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Count",
 "supportedAggregationTypes": [
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "dependency/type",
 "localizedValue": "Dependency type"
 },
 {
 "value": "dependency/performanceBucket",
 "localizedValue": "Dependency performance"
 },
 {
 "value": "dependency/target",
 "localizedValue": "Target of a dependency call"
 },
 {
 "value": "dependency/resultCode",
 "localizedValue": "Result code"
 },
 {
 "value": "operation/synthetic",
 "localizedValue": "Is traffic synthetic"
 },
 {
 "value": "cloud/roleInstance",
 "localizedValue": "Cloud role instance"
 },
 {
 "value": "cloud/roleName",
 "localizedValue": "Cloud role name"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/pageViews/count",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Usage",
 "name": {
 "value": "pageViews/count",
 "localizedValue": "Page views"
 },
 "displayDescription": "Count of page views.",
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Count",
 "supportedAggregationTypes": [
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "operation/synthetic",
 "localizedValue": "Is traffic synthetic"
 },
 {
 "value": "cloud/roleName",
 "localizedValue": "Cloud role name"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/pageViews/duration",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Usage",
 "name": {
 "value": "pageViews/duration",
 "localizedValue": "Page view load time"
 },
 "displayDescription": "Page view load time",
 "isDimensionRequired": false,
 "unit": "MilliSeconds",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Average",
 "Maximum",
 "Minimum"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "operation/synthetic",
 "localizedValue": "Is traffic synthetic"
 },
 {
 "value": "cloud/roleName",
 "localizedValue": "Cloud role name"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/performanceCounters/requestExecutionTime",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Performance counters",
 "name": {
 "value": "performanceCounters/requestExecutionTime",
 "localizedValue": "HTTP request execution time"
 },
 "displayDescription": "Execution time of the most recent request.",
 "isDimensionRequired": false,
 "unit": "MilliSeconds",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Average",
 "Maximum",
 "Minimum"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "cloud/roleInstance",
 "localizedValue": "Cloud role instance"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/performanceCounters/requestsInQueue",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Performance counters",
 "name": {
 "value": "performanceCounters/requestsInQueue",
 "localizedValue": "HTTP requests in application queue"
 },
 "displayDescription": "Length of the application request queue.",
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Average",
 "Maximum",
 "Minimum"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "cloud/roleInstance",
 "localizedValue": "Cloud role instance"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/performanceCounters/requestsPerSecond",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Performance counters",
 "name": {
 "value": "performanceCounters/requestsPerSecond",
 "localizedValue": "HTTP request rate"
 },
 "displayDescription": "Rate of all requests to the application per second from ASP.NET.",
 "isDimensionRequired": false,
 "unit": "CountPerSecond",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Average",
 "Maximum",
 "Minimum"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "cloud/roleInstance",
 "localizedValue": "Cloud role instance"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/performanceCounters/exceptionsPerSecond",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Performance counters",
 "name": {
 "value": "performanceCounters/exceptionsPerSecond",
 "localizedValue": "Exception rate"
 },
 "displayDescription": "Count of handled and unhandled exceptions reported to windows, including .NET exceptions and unmanaged exceptions that are converted into .NET exceptions.",
 "isDimensionRequired": false,
 "unit": "CountPerSecond",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Average",
 "Maximum",
 "Minimum"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "cloud/roleInstance",
 "localizedValue": "Cloud role instance"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/performanceCounters/processIOBytesPerSecond",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Performance counters",
 "name": {
 "value": "performanceCounters/processIOBytesPerSecond",
 "localizedValue": "Process IO rate"
 },
 "displayDescription": "Total bytes per second read and written to files, network and devices.",
 "isDimensionRequired": false,
 "unit": "BytesPerSecond",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Average",
 "Maximum",
 "Minimum"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "cloud/roleInstance",
 "localizedValue": "Cloud role instance"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/performanceCounters/processCpuPercentage",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Performance counters",
 "name": {
 "value": "performanceCounters/processCpuPercentage",
 "localizedValue": "Process CPU"
 },
 "displayDescription": "The percentage of elapsed time that all process threads used the processor to execute instructions. This can vary between 0 to 100. This metric indicates the performance of w3wp process alone.",
 "isDimensionRequired": false,
 "unit": "Percent",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Average",
 "Maximum",
 "Minimum"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "cloud/roleInstance",
 "localizedValue": "Cloud role instance"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/performanceCounters/processorCpuPercentage",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Performance counters",
 "name": {
 "value": "performanceCounters/processorCpuPercentage",
 "localizedValue": "Processor time"
 },
 "displayDescription": "The percentage of time that the processor spends in non-idle threads.",
 "isDimensionRequired": false,
 "unit": "Percent",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Average",
 "Maximum",
 "Minimum"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "cloud/roleInstance",
 "localizedValue": "Cloud role instance"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/performanceCounters/memoryAvailableBytes",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Performance counters",
 "name": {
 "value": "performanceCounters/memoryAvailableBytes",
 "localizedValue": "Available memory"
 },
 "displayDescription": "Physical memory immediately available for allocation to a process or for system use.",
 "isDimensionRequired": false,
 "unit": "Bytes",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Average",
 "Maximum",
 "Minimum"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "cloud/roleInstance",
 "localizedValue": "Cloud role instance"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/performanceCounters/processPrivateBytes",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Performance counters",
 "name": {
 "value": "performanceCounters/processPrivateBytes",
 "localizedValue": "Process private bytes"
 },
 "displayDescription": "Memory exclusively assigned to the monitored application's processes.",
 "isDimensionRequired": false,
 "unit": "Bytes",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Average",
 "Maximum",
 "Minimum"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "cloud/roleInstance",
 "localizedValue": "Cloud role instance"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/requests/duration",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Server",
 "name": {
 "value": "requests/duration",
 "localizedValue": "Server response time"
 },
 "displayDescription": "Time between receiving an HTTP request and finishing sending the response.",
 "isDimensionRequired": false,
 "unit": "MilliSeconds",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Average",
 "Maximum",
 "Minimum"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "request/performanceBucket",
 "localizedValue": "Request performance"
 },
 {
 "value": "request/resultCode",
 "localizedValue": "Result code"
 },
 {
 "value": "operation/synthetic",
 "localizedValue": "Is traffic synthetic"
 },
 {
 "value": "cloud/roleInstance",
 "localizedValue": "Cloud role instance"
 },
 {
 "value": "request/success",
 "localizedValue": "Successful request"
 },
 {
 "value": "cloud/roleName",
 "localizedValue": "Cloud role name"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/requests/count",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Server",
 "name": {
 "value": "requests/count",
 "localizedValue": "Server requests"
 },
 "displayDescription": "Count of HTTP requests completed.",
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Count",
 "supportedAggregationTypes": [
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "request/performanceBucket",
 "localizedValue": "Request performance"
 },
 {
 "value": "request/resultCode",
 "localizedValue": "Result code"
 },
 {
 "value": "operation/synthetic",
 "localizedValue": "Is traffic synthetic"
 },
 {
 "value": "cloud/roleInstance",
 "localizedValue": "Cloud role instance"
 },
 {
 "value": "request/success",
 "localizedValue": "Successful request"
 },
 {
 "value": "cloud/roleName",
 "localizedValue": "Cloud role name"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/requests/failed",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Failures",
 "name": {
 "value": "requests/failed",
 "localizedValue": "Failed requests"
 },
 "displayDescription": "Count of HTTP requests marked as failed. In most cases these are requests with a response code >= 400 and not equal to 401.",
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Count",
 "supportedAggregationTypes": [
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "request/performanceBucket",
 "localizedValue": "Request performance"
 },
 {
 "value": "request/resultCode",
 "localizedValue": "Result code"
 },
 {
 "value": "operation/synthetic",
 "localizedValue": "Is traffic synthetic"
 },
 {
 "value": "cloud/roleInstance",
 "localizedValue": "Cloud role instance"
 },
 {
 "value": "cloud/roleName",
 "localizedValue": "Cloud role name"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/requests/rate",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Server",
 "name": {
 "value": "requests/rate",
 "localizedValue": "Server request rate"
 },
 "displayDescription": "Rate of server requests per second",
 "isDimensionRequired": false,
 "unit": "CountPerSecond",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "request/performanceBucket",
 "localizedValue": "Request performance"
 },
 {
 "value": "request/resultCode",
 "localizedValue": "Result code"
 },
 {
 "value": "operation/synthetic",
 "localizedValue": "Is traffic synthetic"
 },
 {
 "value": "cloud/roleInstance",
 "localizedValue": "Cloud role instance"
 },
 {
 "value": "request/success",
 "localizedValue": "Successful request"
 },
 {
 "value": "cloud/roleName",
 "localizedValue": "Cloud role name"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/exceptions/count",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Failures",
 "name": {
 "value": "exceptions/count",
 "localizedValue": "Exceptions"
 },
 "displayDescription": "Combined count of all uncaught exceptions.",
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Count",
 "supportedAggregationTypes": [
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "cloud/roleName",
 "localizedValue": "Cloud role name"
 },
 {
 "value": "cloud/roleInstance",
 "localizedValue": "Cloud role instance"
 },
 {
 "value": "client/type",
 "localizedValue": "Device type"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/exceptions/browser",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Failures",
 "name": {
 "value": "exceptions/browser",
 "localizedValue": "Browser exceptions"
 },
 "displayDescription": "Count of uncaught exceptions thrown in the browser.",
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Count",
 "supportedAggregationTypes": [
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "cloud/roleName",
 "localizedValue": "Cloud role name"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/exceptions/server",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Failures",
 "name": {
 "value": "exceptions/server",
 "localizedValue": "Server exceptions"
 },
 "displayDescription": "Count of uncaught exceptions thrown in the server application.",
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Count",
 "supportedAggregationTypes": [
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "cloud/roleName",
 "localizedValue": "Cloud role name"
 },
 {
 "value": "cloud/roleInstance",
 "localizedValue": "Cloud role instance"
 }
 ]
 },
 {
 "id": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill/providers/microsoft.insights/metricdefinitions/traces/count",
 "resourceId": "/subscriptions/182c901a-129a-4f5d-86e4-cc6b294590a2/resourceGroups/hyr-log/providers/microsoft.insights/components/f1-bill",
 "namespace": "microsoft.insights/components",
 "category": "Usage",
 "name": {
 "value": "traces/count",
 "localizedValue": "Traces"
 },
 "displayDescription": "Trace document count",
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Count",
 "supportedAggregationTypes": [
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "trace/severityLevel",
 "localizedValue": "Severity level"
 },
 {
 "value": "operation/synthetic",
 "localizedValue": "Is traffic synthetic"
 },
 {
 "value": "cloud/roleName",
 "localizedValue": "Cloud role name"
 },
 {
 "value": "cloud/roleInstance",
 "localizedValue": "Cloud role instance"
 }
 ]
 }
 ]
}

Get Metric Definitions without filter

Sample request

GET https://management.azure.com/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest/providers/microsoft.insights/metricDefinitions/providers/Microsoft.Insights/metricDefinitions?api-version=2023-10-01&metricnamespace=Microsoft.Web/sites

Sample response

Status code:
200
{
 "value": [
 {
 "id": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest/providers/microsoft.insights/metricdefinitions/CpuTime",
 "resourceId": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest",
 "namespace": "Microsoft.Web/sites",
 "name": {
 "value": "CpuTime",
 "localizedValue": "CPU Time"
 },
 "isDimensionRequired": false,
 "unit": "Seconds",
 "primaryAggregationType": "Total",
 "supportedAggregationTypes": [
 "None",
 "Average",
 "Minimum",
 "Maximum",
 "Total",
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "Instance",
 "localizedValue": "Instance"
 }
 ]
 },
 {
 "id": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest/providers/microsoft.insights/metricdefinitions/Requests",
 "resourceId": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest",
 "namespace": "Microsoft.Web/sites",
 "name": {
 "value": "Requests",
 "localizedValue": "Requests"
 },
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Total",
 "supportedAggregationTypes": [
 "None",
 "Average",
 "Minimum",
 "Maximum",
 "Total",
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "Instance",
 "localizedValue": "Instance"
 }
 ]
 },
 {
 "id": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest/providers/microsoft.insights/metricdefinitions/BytesReceived",
 "resourceId": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest",
 "namespace": "Microsoft.Web/sites",
 "name": {
 "value": "BytesReceived",
 "localizedValue": "Data In"
 },
 "isDimensionRequired": false,
 "unit": "Bytes",
 "primaryAggregationType": "Total",
 "supportedAggregationTypes": [
 "None",
 "Average",
 "Minimum",
 "Maximum",
 "Total",
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "Instance",
 "localizedValue": "Instance"
 }
 ]
 },
 {
 "id": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest/providers/microsoft.insights/metricdefinitions/BytesSent",
 "resourceId": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest",
 "namespace": "Microsoft.Web/sites",
 "name": {
 "value": "BytesSent",
 "localizedValue": "Data Out"
 },
 "isDimensionRequired": false,
 "unit": "Bytes",
 "primaryAggregationType": "Total",
 "supportedAggregationTypes": [
 "None",
 "Average",
 "Minimum",
 "Maximum",
 "Total",
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "Instance",
 "localizedValue": "Instance"
 }
 ]
 },
 {
 "id": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest/providers/microsoft.insights/metricdefinitions/Http101",
 "resourceId": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest",
 "namespace": "Microsoft.Web/sites",
 "name": {
 "value": "Http101",
 "localizedValue": "Http 101"
 },
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Total",
 "supportedAggregationTypes": [
 "None",
 "Average",
 "Minimum",
 "Maximum",
 "Total",
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "Instance",
 "localizedValue": "Instance"
 }
 ]
 },
 {
 "id": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest/providers/microsoft.insights/metricdefinitions/Http2xx",
 "resourceId": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest",
 "namespace": "Microsoft.Web/sites",
 "name": {
 "value": "Http2xx",
 "localizedValue": "Http 2xx"
 },
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Total",
 "supportedAggregationTypes": [
 "None",
 "Average",
 "Minimum",
 "Maximum",
 "Total",
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "Instance",
 "localizedValue": "Instance"
 }
 ]
 },
 {
 "id": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest/providers/microsoft.insights/metricdefinitions/Http3xx",
 "resourceId": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest",
 "namespace": "Microsoft.Web/sites",
 "name": {
 "value": "Http3xx",
 "localizedValue": "Http 3xx"
 },
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Total",
 "supportedAggregationTypes": [
 "None",
 "Average",
 "Minimum",
 "Maximum",
 "Total",
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "Instance",
 "localizedValue": "Instance"
 }
 ]
 },
 {
 "id": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest/providers/microsoft.insights/metricdefinitions/Http401",
 "resourceId": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest",
 "namespace": "Microsoft.Web/sites",
 "name": {
 "value": "Http401",
 "localizedValue": "Http 401"
 },
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Total",
 "supportedAggregationTypes": [
 "None",
 "Average",
 "Minimum",
 "Maximum",
 "Total",
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "Instance",
 "localizedValue": "Instance"
 }
 ]
 },
 {
 "id": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest/providers/microsoft.insights/metricdefinitions/Http403",
 "resourceId": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest",
 "namespace": "Microsoft.Web/sites",
 "name": {
 "value": "Http403",
 "localizedValue": "Http 403"
 },
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Total",
 "supportedAggregationTypes": [
 "None",
 "Average",
 "Minimum",
 "Maximum",
 "Total",
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "Instance",
 "localizedValue": "Instance"
 }
 ]
 },
 {
 "id": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest/providers/microsoft.insights/metricdefinitions/Http404",
 "resourceId": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest",
 "namespace": "Microsoft.Web/sites",
 "name": {
 "value": "Http404",
 "localizedValue": "Http 404"
 },
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Total",
 "supportedAggregationTypes": [
 "None",
 "Average",
 "Minimum",
 "Maximum",
 "Total",
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "Instance",
 "localizedValue": "Instance"
 }
 ]
 },
 {
 "id": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest/providers/microsoft.insights/metricdefinitions/Http406",
 "resourceId": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest",
 "namespace": "Microsoft.Web/sites",
 "name": {
 "value": "Http406",
 "localizedValue": "Http 406"
 },
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Total",
 "supportedAggregationTypes": [
 "None",
 "Average",
 "Minimum",
 "Maximum",
 "Total",
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "Instance",
 "localizedValue": "Instance"
 }
 ]
 },
 {
 "id": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest/providers/microsoft.insights/metricdefinitions/Http4xx",
 "resourceId": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest",
 "namespace": "Microsoft.Web/sites",
 "name": {
 "value": "Http4xx",
 "localizedValue": "Http 4xx"
 },
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Total",
 "supportedAggregationTypes": [
 "None",
 "Average",
 "Minimum",
 "Maximum",
 "Total",
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "Instance",
 "localizedValue": "Instance"
 }
 ]
 },
 {
 "id": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest/providers/microsoft.insights/metricdefinitions/Http5xx",
 "resourceId": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest",
 "namespace": "Microsoft.Web/sites",
 "name": {
 "value": "Http5xx",
 "localizedValue": "Http Server Errors"
 },
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Total",
 "supportedAggregationTypes": [
 "None",
 "Average",
 "Minimum",
 "Maximum",
 "Total",
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "Instance",
 "localizedValue": "Instance"
 }
 ]
 },
 {
 "id": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest/providers/microsoft.insights/metricdefinitions/MemoryWorkingSet",
 "resourceId": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest",
 "namespace": "Microsoft.Web/sites",
 "name": {
 "value": "MemoryWorkingSet",
 "localizedValue": "Memory working set"
 },
 "isDimensionRequired": false,
 "unit": "Bytes",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "None",
 "Average",
 "Minimum",
 "Maximum",
 "Total",
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "Instance",
 "localizedValue": "Instance"
 }
 ]
 },
 {
 "id": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest/providers/microsoft.insights/metricdefinitions/AverageMemoryWorkingSet",
 "resourceId": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest",
 "namespace": "Microsoft.Web/sites",
 "name": {
 "value": "AverageMemoryWorkingSet",
 "localizedValue": "Average memory working set"
 },
 "isDimensionRequired": false,
 "unit": "Bytes",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "None",
 "Average",
 "Minimum",
 "Maximum",
 "Total",
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "Instance",
 "localizedValue": "Instance"
 }
 ]
 },
 {
 "id": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest/providers/microsoft.insights/metricdefinitions/AverageResponseTime",
 "resourceId": "/subscriptions/07c0b09d-9f69-4e6e-8d05-f59f67299cb2/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/alertruleTest",
 "namespace": "Microsoft.Web/sites",
 "name": {
 "value": "AverageResponseTime",
 "localizedValue": "Average Response Time"
 },
 "isDimensionRequired": false,
 "unit": "Seconds",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "None",
 "Average",
 "Minimum",
 "Maximum",
 "Total",
 "Count"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "Instance",
 "localizedValue": "Instance"
 }
 ]
 }
 ]
}
Status code:
default
{
 "code": "BadRequest",
 "message": "ApiVersion: 2018-01-01 does not support query metricdefinitions at non Arm resource Id level"
}

Get StorageCache Metric Definitions with metric class

Sample request

GET https://management.azure.com/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/Microsoft.Insights/metricDefinitions?api-version=2023-10-01&metricnamespace=microsoft.storagecache/caches

Sample response

Status code:
200
{
 "value": [
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/ClientIOPS",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Transactions",
 "name": {
 "value": "ClientIOPS",
 "localizedValue": "Total Client IOPS"
 },
 "displayDescription": "The rate of client file operations processed by the Cache.",
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/ClientLatency",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Latency",
 "name": {
 "value": "ClientLatency",
 "localizedValue": "Average Client Latency"
 },
 "displayDescription": "Average latency of client file operations to the Cache.",
 "isDimensionRequired": false,
 "unit": "MilliSeconds",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/ClientReadIOPS",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Transactions",
 "name": {
 "value": "ClientReadIOPS",
 "localizedValue": "Client Read IOPS"
 },
 "displayDescription": "Client read operations per second.",
 "isDimensionRequired": false,
 "unit": "CountPerSecond",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/ClientReadThroughput",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Transactions",
 "name": {
 "value": "ClientReadThroughput",
 "localizedValue": "Average Cache Read Throughput"
 },
 "displayDescription": "Client read data transfer rate.",
 "isDimensionRequired": false,
 "unit": "BytesPerSecond",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/ClientWriteIOPS",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Transactions",
 "name": {
 "value": "ClientWriteIOPS",
 "localizedValue": "Client Write IOPS"
 },
 "displayDescription": "Client write operations per second.",
 "isDimensionRequired": false,
 "unit": "CountPerSecond",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/ClientWriteThroughput",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Transactions",
 "name": {
 "value": "ClientWriteThroughput",
 "localizedValue": "Average Cache Write Throughput"
 },
 "displayDescription": "Client write data transfer rate.",
 "isDimensionRequired": false,
 "unit": "BytesPerSecond",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/ClientMetadataReadIOPS",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Transactions",
 "name": {
 "value": "ClientMetadataReadIOPS",
 "localizedValue": "Client Metadata Read IOPS"
 },
 "displayDescription": "The rate of client file operations sent to the Cache, excluding data reads, that do not modify persistent state.",
 "isDimensionRequired": false,
 "unit": "CountPerSecond",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/ClientMetadataWriteIOPS",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Transactions",
 "name": {
 "value": "ClientMetadataWriteIOPS",
 "localizedValue": "Client Metadata Write IOPS"
 },
 "displayDescription": "The rate of client file operations sent to the Cache, excluding data writes, that modify persistent state.",
 "isDimensionRequired": false,
 "unit": "CountPerSecond",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/ClientLockIOPS",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Transactions",
 "name": {
 "value": "ClientLockIOPS",
 "localizedValue": "Client Lock IOPS"
 },
 "displayDescription": "Client file locking operations per second.",
 "isDimensionRequired": false,
 "unit": "CountPerSecond",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/StorageTargetHealth",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Errors",
 "name": {
 "value": "StorageTargetHealth",
 "localizedValue": "Storage Target Health"
 },
 "displayDescription": "Boolean results of connectivity test between the Cache and Storage Targets.",
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/Uptime",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Availability",
 "name": {
 "value": "Uptime",
 "localizedValue": "Uptime"
 },
 "displayDescription": "Boolean results of connectivity test between the Cache and monitoring system.",
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/StorageTargetIOPS",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Transactions",
 "name": {
 "value": "StorageTargetIOPS",
 "localizedValue": "Total StorageTarget IOPS"
 },
 "displayDescription": "The rate of all file operations the Cache sends to a particular StorageTarget.",
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "StorageTarget",
 "localizedValue": "StorageTarget"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/StorageTargetWriteIOPS",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Transactions",
 "name": {
 "value": "StorageTargetWriteIOPS",
 "localizedValue": "StorageTarget Write IOPS"
 },
 "displayDescription": "The rate of the file write operations the Cache sends to a particular StorageTarget.",
 "isDimensionRequired": false,
 "unit": "Count",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "StorageTarget",
 "localizedValue": "StorageTarget"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/StorageTargetAsyncWriteThroughput",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Transactions",
 "name": {
 "value": "StorageTargetAsyncWriteThroughput",
 "localizedValue": "StorageTarget Asynchronous Write Throughput"
 },
 "displayDescription": "The rate the Cache asynchronously writes data to a particular StorageTarget. These are opportunistic writes that do not cause clients to block.",
 "isDimensionRequired": false,
 "unit": "BytesPerSecond",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "StorageTarget",
 "localizedValue": "StorageTarget"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/StorageTargetSyncWriteThroughput",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Transactions",
 "name": {
 "value": "StorageTargetSyncWriteThroughput",
 "localizedValue": "StorageTarget Synchronous Write Throughput"
 },
 "displayDescription": "The rate the Cache synchronously writes data to a particular StorageTarget. These are writes that do cause clients to block.",
 "isDimensionRequired": false,
 "unit": "BytesPerSecond",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "StorageTarget",
 "localizedValue": "StorageTarget"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/StorageTargetTotalWriteThroughput",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Transactions",
 "name": {
 "value": "StorageTargetTotalWriteThroughput",
 "localizedValue": "StorageTarget Total Write Throughput"
 },
 "displayDescription": "The total rate that the Cache writes data to a particular StorageTarget.",
 "isDimensionRequired": false,
 "unit": "BytesPerSecond",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "StorageTarget",
 "localizedValue": "StorageTarget"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/StorageTargetLatency",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Transactions",
 "name": {
 "value": "StorageTargetLatency",
 "localizedValue": "StorageTarget Latency"
 },
 "displayDescription": "The average round trip latency of all the file operations the Cache sends to a partricular StorageTarget.",
 "isDimensionRequired": false,
 "unit": "MilliSeconds",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "StorageTarget",
 "localizedValue": "StorageTarget"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/StorageTargetMetadataReadIOPS",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Transactions",
 "name": {
 "value": "StorageTargetMetadataReadIOPS",
 "localizedValue": "StorageTarget Metadata Read IOPS"
 },
 "displayDescription": "The rate of file operations that do not modify persistent state, and excluding the read operation, that the Cache sends to a particular StorageTarget.",
 "isDimensionRequired": false,
 "unit": "CountPerSecond",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "StorageTarget",
 "localizedValue": "StorageTarget"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/StorageTargetMetadataWriteIOPS",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Transactions",
 "name": {
 "value": "StorageTargetMetadataWriteIOPS",
 "localizedValue": "StorageTarget Metadata Write IOPS"
 },
 "displayDescription": "The rate of file operations that do modify persistent state and excluding the write operation, that the Cache sends to a particular StorageTarget.",
 "isDimensionRequired": false,
 "unit": "CountPerSecond",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "StorageTarget",
 "localizedValue": "StorageTarget"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/StorageTargetReadIOPS",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Transactions",
 "name": {
 "value": "StorageTargetReadIOPS",
 "localizedValue": "StorageTarget Read IOPS"
 },
 "displayDescription": "The rate of file read operations the Cache sends to a particular StorageTarget.",
 "isDimensionRequired": false,
 "unit": "CountPerSecond",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "StorageTarget",
 "localizedValue": "StorageTarget"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/StorageTargetReadAheadThroughput",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Transactions",
 "name": {
 "value": "StorageTargetReadAheadThroughput",
 "localizedValue": "StorageTarget Read Ahead Throughput"
 },
 "displayDescription": "The rate the Cache opportunisticly reads data from the StorageTarget.",
 "isDimensionRequired": false,
 "unit": "BytesPerSecond",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "StorageTarget",
 "localizedValue": "StorageTarget"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/StorageTargetFillThroughput",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Transactions",
 "name": {
 "value": "StorageTargetFillThroughput",
 "localizedValue": "StorageTarget Fill Throughput"
 },
 "displayDescription": "The rate the Cache reads data from the StorageTarget to handle a cache miss.",
 "isDimensionRequired": false,
 "unit": "BytesPerSecond",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "StorageTarget",
 "localizedValue": "StorageTarget"
 }
 ]
 },
 {
 "id": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache/providers/microsoft.insights/metricdefinitions/StorageTargetTotalReadThroughput",
 "resourceId": "/subscriptions/46841c0e-69c8-4b17-af46-6626ecb15fc2/resourceGroups/adgarntptestrg/providers/Microsoft.StorageCache/caches/adgarntptestcache",
 "namespace": "microsoft.storagecache/caches",
 "metricClass": "Transactions",
 "name": {
 "value": "StorageTargetTotalReadThroughput",
 "localizedValue": "StorageTarget Total Read Throughput"
 },
 "displayDescription": "The total rate that the Cache reads data from a particular StorageTarget.",
 "isDimensionRequired": false,
 "unit": "BytesPerSecond",
 "primaryAggregationType": "Average",
 "supportedAggregationTypes": [
 "Minimum",
 "Maximum",
 "Average"
 ],
 "metricAvailabilities": [
 {
 "timeGrain": "PT1M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT5M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT15M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT30M",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT1H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT6H",
 "retention": "P93D"
 },
 {
 "timeGrain": "PT12H",
 "retention": "P93D"
 },
 {
 "timeGrain": "P1D",
 "retention": "P93D"
 }
 ],
 "dimensions": [
 {
 "value": "StorageTarget",
 "localizedValue": "StorageTarget"
 }
 ]
 }
 ]
}

Definitions

Name Description
AggregationType

The aggregation type of the metric.

ErrorAdditionalInfo

The resource management error additional info.

ErrorResponse

Error Response

LocalizableString

The localizable string class.

MetricAvailability

Metric availability specifies the time grain (aggregation interval or frequency) and the retention period for that time grain.

MetricClass

The class of the metric.

MetricDefinition

Metric definition class specifies the metadata for a metric.

MetricDefinitionCollection

Represents collection of metric definitions.

MetricUnit

The unit of the metric.

AggregationType

Enumeration

The aggregation type of the metric.

Value Description
None
Average
Count
Minimum
Maximum
Total

ErrorAdditionalInfo

Object

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorResponse

Object

Error Response

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorResponse[]

The error details.

message

string

The error message.

target

string

The error target.

LocalizableString

Object

The localizable string class.

Name Type Description
localizedValue

string

The display name.

value

string

The invariant value.

MetricAvailability

Object

Metric availability specifies the time grain (aggregation interval or frequency) and the retention period for that time grain.

Name Type Description
retention

string (duration)

The retention period for the metric at the specified timegrain. Expressed as a duration 'PT1M', 'P1D', etc.

timeGrain

string (duration)

The time grain specifies a supported aggregation interval for the metric. Expressed as a duration 'PT1M', 'P1D', etc.

MetricClass

Enumeration

The class of the metric.

Value Description
Availability
Transactions
Errors
Latency
Saturation

MetricDefinition

Object

Metric definition class specifies the metadata for a metric.

Name Type Description
category

string

Custom category name for this metric.

dimensions

LocalizableString[]

The name and the display name of the dimension, i.e. it is a localizable string.

displayDescription

string

Detailed description of this metric.

id

string

The resource identifier of the metric definition.

isDimensionRequired

boolean

Flag to indicate whether the dimension is required.

metricAvailabilities

MetricAvailability[]

The collection of what aggregation intervals are available to be queried.

metricClass

MetricClass

The class of the metric.

name

LocalizableString

The name and the display name of the metric, i.e. it is a localizable string.

namespace

string

The namespace the metric belongs to.

primaryAggregationType

AggregationType

The primary aggregation type value defining how to use the values for display.

resourceId

string

The resource identifier of the resource that emitted the metric.

supportedAggregationTypes

AggregationType[]

The collection of what aggregation types are supported.

unit

MetricUnit

The unit of the metric.

MetricDefinitionCollection

Object

Represents collection of metric definitions.

Name Type Description
value

MetricDefinition[]

The values for the metric definitions.

MetricUnit

Enumeration

The unit of the metric.

Value Description
Count

Unit of raw quantity.

Bytes

Unit of memory in bytes.

Seconds

Unit of time in seconds.

CountPerSecond

Rate unit of raw quantity per second.

BytesPerSecond

Rate unit of memory in bytes per second.

Percent

Percentage unit.

MilliSeconds

Unit of time in 1/1000th of a second.

ByteSeconds

Unit of data transfer or storage. It is the size of the data in bytes multiplied by the time it takes to transfer or store the data in seconds.

Unspecified

No specified unit.

Cores

Unit of processing power.

MilliCores

Unit of processing power in 1/1000th of a CPU core.

NanoCores

Unit of processing power in one billionth of a CPU core.

BitsPerSecond

Rate unit of binary digits per second.